# this it the original RPM spec file for RedHat and Fedora from uhexen2 
# modified by openSUSE-user (devel.suse at gmail.com) for Packman project (2014)
#
# $Id: hexen2.spec 5166 2013-03-08 18:00:49Z sezero $

# Please submit bugfixes or comments via https://bugs.links2linux.org/

# build options :
# --without alsa: build without alsa audio support
# --without midi: build without a midi driver support
#		 (defunct: there is no linux midi "driver" yet,
#		  midi playback is by timidity for now.)
# --without timidity: build without timidity music streaming support
# --without wavmusic: build without wav music streaming support
# --without mp3: build without mp3 music streaming support
# --with mpg123: build mp3 music streaming using libmpg123 instead of libmad
# --without ogg: build without ogg/vorbis music streaming support
# --with opus: build with opus music streaming support
# --without asm: do not use x86 assembly even on an intel cpu
# --with gtk1: build the launcher against gtk-1.2 instead of gtk-2.x
# --with gtk3: build the launcher against gtk-3.x instead of gtk-2.x
# --without freedesktop: do not use desktop-file-utils for the desktop shortcut

## global build options
%define _with_mpg123 1
%define _with_opus 1
%define _with_gtk3 1

# all build options passed to makefile
%define engine_buildopt	%{asm_buildopt} %{alsa_buildopt} %{midi_buildopt} %{timidity_buildopt} %{wavmusic_buildopt} %{mp3_buildopt} %{mp3_libraryopt} %{ogg_buildopt} %{opus_buildopt}
%define desktop_vendor	uhexen2
%define gamecode_ver	1.28
%ifnarch %ix86
%define _without_asm 1
%endif
Name:           hexen2
Version:        1.5.6
Release:        2.1
Summary:        Hexen II: Hammer of Thyrion
License:        GPL-2.0
Group:          Amusements/Games/Action/Shoot
Url:            http://uhexen2.sourceforge.net/
Source:         http://download.sourceforge.net/uhexen2/hexen2source-%{version}.tgz
#Source1:        http://download.sourceforge.net/uhexen2/gamedata-src-%%{gamecode_ver}.tgz
Source1:        http://download.sourceforge.net/uhexen2/hexen2source-gamecode-%{version}.tgz
Source2:        http://download.sourceforge.net/uhexen2/hexenworld-pakfiles-0.15.tgz
BuildRequires:  SDL-devel >= 1.2.4
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
Requires:       SDL >= 1.2.4
Obsoletes:      %{name}-missionpack
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?el2:%define _without_freedesktop 1}
%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _with_gtk1 1}
%{?rh7:%define _with_gtk1 1}
%{?_with_gtk3:%undefine _with_gtk1}
# default build options
%{!?_with_gtk1:%define gtk_buildopt GTK2=yes}
%{!?_without_asm:%define asm_buildopt USE_X86_ASM=yes}
%{!?_without_alsa:%define alsa_buildopt USE_ALSA=yes}
%{!?_without_midi:%define midi_buildopt USE_MIDI=yes}
%{!?_without_timidity:%define timidity_buildopt USE_CODEC_TIMIDITY=yes}
%{!?_without_wavmusic:%define wavmusic_buildopt USE_CODEC_WAVE=yes}
%{!?_with_mpg123:%define mp3_libraryopt MP3LIB=mad}
%{!?_without_mp3:%define mp3_buildopt USE_CODEC_MP3=yes}
%{!?_without_ogg:%define ogg_buildopt USE_CODEC_VORBIS=yes}
%{!?_with_opus:%define opus_buildopt USE_CODEC_OPUS=no}
# build option overrides
%{?_with_gtk1:%define gtk_buildopt GTK1=yes}
%{?_with_gtk3:%undefine gtk_buildopt}
%{?_with_gtk3:%define gtk_buildopt GTK3=yes}
%{?_without_asm:%define asm_buildopt USE_X86_ASM=no}
%{?_without_alsa:%define alsa_buildopt USE_ALSA=no}
%{?_without_midi:%define midi_buildopt USE_MIDI=no}
%{?_without_timidity:%define timidity_buildopt USE_CODEC_TIMIDITY=no}
%{?_without_wavmusic:%define wavmusic_buildopt USE_CODEC_WAVE=no}
%{?_with_mpg123:%define mp3_libraryopt MP3LIB=mpg123}
%{?_without_mp3:%define mp3_buildopt USE_CODEC_MP3=no}
%{?_without_ogg:%define ogg_buildopt USE_CODEC_VORBIS=no}
%{?_with_opus:%define opus_buildopt USE_CODEC_OPUS=yes}
%{!?_without_mp3:BuildRequires:  %{!?_with_mpg123:libmad-devel}%{?_with_mpg123:libmpg123-devel >= 1.12.0}}
%{!?_without_ogg:BuildRequires:  libogg-devel libvorbis-devel}
%{!?_without_alsa:BuildRequires:  alsa-devel}
%{?_with_opus:BuildRequires:  libopus-devel opusfile-devel}
%{!?_without_asm:BuildRequires:  nasm >= 0.98.38}
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}
%{?_with_gtk1:BuildRequires:  gtk-devel}
%{!?_with_gtk1:BuildRequires: %{!?_with_gtk3:gtk2-devel}%{?_with_gtk3:gtk3-devel}}
# timidity++-patches requirement is non-fatal
#%{!?_without_timidity:Requires: timidity++-patches}
# these will be picked by rpm already
#%{?_with_opus:Requires: opus opusfile}
#%{!?_without_mp3:Requires: libmad}
#%{!?_without_ogg:Requires: libvorbis}

%description
Hexen II is a class based shooter game by Raven Software from 1997.
Hammer of Thyrion is a port of the GPL'ed source code released by
Raven. This package contains binaries that will run both the original
game and the Portal of Praevus mission pack, a dedicated server and a
launcher application which provides a GTK gui for launching different
versions of the game.

%package -n hexenworld
Summary:        Client and Server
Group:          Amusements/Games/Action/Shoot
# timidity++-patches requirement is non-fatal
#%{!?_without_timidity:Requires: timidity++-patches}
# these will be picked by rpm already
#%{!?_without_mp3:Requires: libmad}
#%{!?_without_ogg:Requires: libvorbis}
Requires:       %{name} >= %{version}
Requires:       SDL >= 1.2.4

%description -n hexenworld
Hexen II is a class based shooter game by Raven Software from 1997.
Hammer of Thyrion is a port of the GPL'ed source code released by
Raven. HexenWorld is an extension of Hexen II with enhancements for
internet play. This package contains the files which are required to
run a HexenWorld server or client, and a master server application.

%prep
%setup -q -n hexen2source-%{version} -a1 -a2

## set the default gamedata directory
%if 0%{?suse_version}
sed -i -e 's|int basedir_nonstd	= 0;|int basedir_nonstd	= 1;|' launcher/config_file.c
sed -i -e '274 a\	printf ("GameDatadir  : %s\\n", game_basedir);' \
	-e '278 a\	write_config_file();' launcher/main.c
%endif

## fix __DATE__ and __TIME__
STATIC_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M')
STATIC_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
%define _sed_work sed -i -e 's/__DATE__/"$STATIC_BUILDDATE"/' -e 's/__TIME__/"$STATIC_BUILDTIME"/'
%{_sed_work} engine/hexen2/host.c
%{_sed_work} engine/hexen2/server/host.c
%{_sed_work} engine/hexenworld/client/cl_main.c
%{_sed_work} engine/hexenworld/server/sv_main.c
%{_sed_work} hw_utils/hwmaster/sys_win.c
%{_sed_work} hw_utils/hwmaster/sys_amiga.c
%{_sed_work} hw_utils/hwmaster/sys_unix.c

%build
# Build the main game binaries
make -C engine/%{name} %{engine_buildopt} h2 %{?_smp_mflags}
# use localclean instead of clean to avoid building timidity every time
make -s -C engine/%{name} localclean %{?_smp_mflags}
make -C engine/%{name} %{engine_buildopt} glh2 %{?_smp_mflags}
make -s -C engine/%{name} localclean %{?_smp_mflags}
# Build the dedicated server
make -C engine/%{name}/server %{?_smp_mflags}
# HexenWorld binaries
make -C engine/hexenworld/server %{?_smp_mflags}
make -C engine/hexenworld/client %{engine_buildopt} hw %{?_smp_mflags}
make -s -C engine/hexenworld/client localclean %{?_smp_mflags}
make -C engine/hexenworld/client %{engine_buildopt} glhw %{?_smp_mflags}
# HexenWorld master server
make -C hw_utils/hwmaster %{?_smp_mflags}

# Build h2patch
make -C h2patch %{?_smp_mflags}

# Launcher binaries
make -C launcher %{gtk_buildopt} %{?_smp_mflags}

# Build the hcode compiler
make -C utils/hcc %{?_smp_mflags}
# Build the game-code
utils/hcc/hcc -src gamecode-%{gamecode_ver}/hc/h2
utils/hcc/hcc -src gamecode-%{gamecode_ver}/hc/h2 -name progs2.src
utils/hcc/hcc -src gamecode-%{gamecode_ver}/hc/portals -oi -on
utils/hcc/hcc -src gamecode-%{gamecode_ver}/hc/hw -oi -on
#utils/hcc/hcc -src gamecode-%%{gamecode_ver}/hc/siege -oi -on


%install
# Install binaries
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/docs
mkdir -p %{buildroot}/%{_bindir}
install -D -m755 engine/%{name}/server/h2ded %{buildroot}/%{_bindir}/h2ded
install -D -m755 engine/%{name}/glhexen2 %{buildroot}/%{_bindir}/glhexen2
install -D -m755 engine/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}
install -D -m755 engine/hexenworld/client/hwcl %{buildroot}/%{_bindir}/hwcl
install -D -m755 engine/hexenworld/client/glhwcl %{buildroot}/%{_bindir}/glhwcl
install -D -m755 engine/hexenworld/server/hwsv %{buildroot}/%{_bindir}/hwsv
install -D -m755 hw_utils/hwmaster/hwmaster %{buildroot}/%{_bindir}/hwmaster
install -D -m755 h2patch/h2patch %{buildroot}/%{_bindir}/h2patch
install -D -m755 launcher/h2launcher %{buildroot}/%{_bindir}/h2launcher

# Install the cd-rip scripts
install -D -m755 scripts/cdrip_hexen2.sh %{buildroot}/%{_bindir}/cdrip_hexen2.sh
install -D -m755 scripts/cdrip_hexen2_xplosiv.sh %{buildroot}/%{_bindir}/cdrip_hexen2_xplosiv.sh
install -D -m755 scripts/cdrip_hexen2_matroxm3d.sh %{buildroot}/%{_bindir}/cdrip_hexen2_matroxm3d.sh
install -D -m755 scripts/cdrip_missionpack.sh %{buildroot}/%{_bindir}/cdrip_missionpack.sh

# Install the docs
install -D -m644 docs/README %{buildroot}/%{_datadir}/games/%{name}/docs/README
install -D -m644 docs/COPYING %{buildroot}/%{_datadir}/games/%{name}/docs/COPYING
install -D -m644 docs/BUGS %{buildroot}/%{_datadir}/games/%{name}/docs/BUGS
install -D -m644 docs/TODO %{buildroot}/%{_datadir}/games/%{name}/docs/TODO
install -D -m644 docs/ABOUT %{buildroot}/%{_datadir}/games/%{name}/docs/ABOUT
install -D -m644 docs/AUTHORS %{buildroot}/%{_datadir}/games/%{name}/docs/AUTHORS
install -D -m644 docs/Features %{buildroot}/%{_datadir}/games/%{name}/docs/Features
install -D -m644 docs/CHANGES %{buildroot}/%{_datadir}/games/%{name}/docs/CHANGES
install -D -m644 docs/CHANGES.old %{buildroot}/%{_datadir}/games/%{name}/docs/CHANGES.old
install -D -m644 docs/README.music %{buildroot}/%{_datadir}/games/%{name}/docs/README.music
install -D -m644 docs/README.3dfx %{buildroot}/%{_datadir}/games/%{name}/docs/README.3dfx
install -D -m644 docs/README.launcher %{buildroot}/%{_datadir}/games/%{name}/docs/README.launcher
install -D -m644 docs/README.hwcl %{buildroot}/%{_datadir}/games/%{name}/docs/README.hwcl
install -D -m644 docs/README.hwsv %{buildroot}/%{_datadir}/games/%{name}/docs/README.hwsv
install -D -m644 docs/README.hwmaster %{buildroot}/%{_datadir}/games/%{name}/docs/README.hwmaster
install -D -m644 docs/SrcNotes.txt %{buildroot}/%{_datadir}/games/%{name}/docs/SrcNotes.txt
install -D -m644 docs/ReleaseNotes %{buildroot}/%{_datadir}/games/%{name}/docs/ReleaseNotes
install -D -m644 docs/ReleaseNotes.old %{buildroot}/%{_datadir}/games/%{name}/docs/ReleaseNotes.old


# Install the gamedata
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/data1/
install -D -m644 gamecode-%{gamecode_ver}/hc/h2/progs.dat %{buildroot}/%{_datadir}/games/%{name}/data1/progs.dat
install -D -m644 gamecode-%{gamecode_ver}/hc/h2/progs2.dat %{buildroot}/%{_datadir}/games/%{name}/data1/progs2.dat
install -D -m644 gamecode-%{gamecode_ver}/res/h2/hexen.rc %{buildroot}/%{_datadir}/games/%{name}/data1/hexen.rc
install -D -m644 gamecode-%{gamecode_ver}/res/h2/strings.txt %{buildroot}/%{_datadir}/games/%{name}/data1/strings.txt
install -D -m644 gamecode-%{gamecode_ver}/res/h2/default.cfg %{buildroot}/%{_datadir}/games/%{name}/data1/default.cfg
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/portals/
install -D -m644 gamecode-%{gamecode_ver}/hc/portals/progs.dat %{buildroot}/%{_datadir}/games/%{name}/portals/progs.dat
install -D -m644 gamecode-%{gamecode_ver}/res/portals/hexen.rc %{buildroot}/%{_datadir}/games/%{name}/portals/hexen.rc
install -D -m644 gamecode-%{gamecode_ver}/res/portals/strings.txt %{buildroot}/%{_datadir}/games/%{name}/portals/strings.txt
install -D -m644 gamecode-%{gamecode_ver}/res/portals/infolist.txt %{buildroot}/%{_datadir}/games/%{name}/portals/infolist.txt
install -D -m644 gamecode-%{gamecode_ver}/res/portals/maplist.txt %{buildroot}/%{_datadir}/games/%{name}/portals/maplist.txt
install -D -m644 gamecode-%{gamecode_ver}/res/portals/puzzles.txt %{buildroot}/%{_datadir}/games/%{name}/portals/puzzles.txt
install -D -m644 gamecode-%{gamecode_ver}/res/portals/default.cfg %{buildroot}/%{_datadir}/games/%{name}/portals/default.cfg
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/hw/
install -D -m644 gamecode-%{gamecode_ver}/hc/hw/hwprogs.dat %{buildroot}/%{_datadir}/games/%{name}/hw/hwprogs.dat
install -D -m644 gamecode-%{gamecode_ver}/res/hw/mapcycle.cfg %{buildroot}/%{_datadir}/games/%{name}/hw/mapcycle.cfg
install -D -m644 gamecode-%{gamecode_ver}/res/hw/server.cfg %{buildroot}/%{_datadir}/games/%{name}/hw/server.cfg
install -D -m644 gamecode-%{gamecode_ver}/res/hw/strings.txt %{buildroot}/%{_datadir}/games/%{name}/hw/strings.txt
install -D -m644 gamecode-%{gamecode_ver}/res/hw/default.cfg %{buildroot}/%{_datadir}/games/%{name}/hw/default.cfg
install -D -m644 hw/pak4.pak %{buildroot}/%{_datadir}/games/%{name}/hw/pak4.pak

# Install ent fixes handling map quirks
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/data1/maps/
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/README.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/README.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/cath.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/cath.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/cath.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/cath.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/demo2.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/demo2.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/demo2.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/demo2.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/egypt4.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/egypt4.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/egypt4.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/egypt4.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/egypt5.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/egypt5.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/egypt5.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/egypt5.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/romeric5.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/romeric5.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/romeric5.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/romeric5.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/tower.ent %{buildroot}/%{_datadir}/games/%{name}/data1/maps/tower.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/data1/maps/tower.txt %{buildroot}/%{_datadir}/games/%{name}/data1/maps/tower.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/portals/maps/README.txt %{buildroot}/%{_datadir}/games/%{name}/portals/maps/README.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/portals/maps/tibet2.ent %{buildroot}/%{_datadir}/games/%{name}/portals/maps/tibet2.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/portals/maps/tibet2.txt %{buildroot}/%{_datadir}/games/%{name}/portals/maps/tibet2.txt
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/portals/maps/tibet9.ent %{buildroot}/%{_datadir}/games/%{name}/portals/maps/tibet9.ent
install -D -m644 gamecode-%{gamecode_ver}/mapfixes/portals/maps/tibet9.txt %{buildroot}/%{_datadir}/games/%{name}/portals/maps/tibet9.txt

# Install the pak deltas
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/patchdat/
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/patchdat/data1
install -D -m644 gamecode-%{gamecode_ver}/patch111/patchdat/data1/data1pk0.xd3 %{buildroot}/%{_datadir}/games/%{name}/patchdat/data1/data1pk0.xd3
install -D -m644 gamecode-%{gamecode_ver}/patch111/patchdat/data1/data1pk1.xd3 %{buildroot}/%{_datadir}/games/%{name}/patchdat/data1/data1pk1.xd3
install -D -m644 gamecode-%{gamecode_ver}/patch111/patchdat.txt %{buildroot}/%{_datadir}/games/%{name}/patchdat.txt

# Install the menu icon
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -D -m644 engine/resource/%{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# Install menu entry
cat > %{desktop_vendor}.desktop << EOF
[Desktop Entry]
Name=Hexen 2
GenericName=Hexen II
Comment=Hexen II
Exec=h2launcher
Icon=%{name}
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Game;ActionGame;
EOF


%if %{!?_without_freedesktop:1}0
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--vendor %{desktop_vendor} \
	--dir %{buildroot}%{_datadir}/applications \
	%{desktop_vendor}.desktop
%else
install -D -m 0644 %{desktop_vendor}.desktop \
	%{buildroot}%{_sysconfdir}/X11/applnk/Games/%{desktop_vendor}.desktop
%endif

%if 0%{?suse_version}
%suse_update_desktop_file %{desktop_vendor}
%endif


%files
%defattr(-,root,root)
%dir %{_datadir}/games/%{name}
%dir %{_datadir}/games/%{name}/data1
%dir %{_datadir}/games/%{name}/data1/maps
%dir %{_datadir}/games/%{name}/docs
%dir %{_datadir}/games/%{name}/patchdat
%dir %{_datadir}/games/%{name}/patchdat/data1
%dir %{_datadir}/games/%{name}/portals
%dir %{_datadir}/games/%{name}/portals/maps
%{_bindir}/h2ded
%{_bindir}/%{name}
%{_bindir}/glhexen2
%{_bindir}/h2patch
%{_datadir}/games/%{name}/patchdat/data1/data1pk0.xd3
%{_datadir}/games/%{name}/patchdat/data1/data1pk1.xd3
%{_datadir}/games/%{name}/patchdat.txt
%{_datadir}/games/%{name}/data1/progs.dat
%{_datadir}/games/%{name}/data1/progs2.dat
%{_datadir}/games/%{name}/data1/hexen.rc
%{_datadir}/games/%{name}/data1/strings.txt
%{_datadir}/games/%{name}/data1/default.cfg
%{_datadir}/games/%{name}/data1/maps/README.txt
%{_datadir}/games/%{name}/data1/maps/cath.ent
%{_datadir}/games/%{name}/data1/maps/cath.txt
%{_datadir}/games/%{name}/data1/maps/demo2.ent
%{_datadir}/games/%{name}/data1/maps/demo2.txt
%{_datadir}/games/%{name}/data1/maps/egypt4.ent
%{_datadir}/games/%{name}/data1/maps/egypt4.txt
%{_datadir}/games/%{name}/data1/maps/egypt5.ent
%{_datadir}/games/%{name}/data1/maps/egypt5.txt
%{_datadir}/games/%{name}/data1/maps/romeric5.ent
%{_datadir}/games/%{name}/data1/maps/romeric5.txt
%{_datadir}/games/%{name}/data1/maps/tower.ent
%{_datadir}/games/%{name}/data1/maps/tower.txt
%{_datadir}/games/%{name}/portals/progs.dat
%{_datadir}/games/%{name}/portals/hexen.rc
%{_datadir}/games/%{name}/portals/strings.txt
%{_datadir}/games/%{name}/portals/puzzles.txt
%{_datadir}/games/%{name}/portals/infolist.txt
%{_datadir}/games/%{name}/portals/maplist.txt
%{_datadir}/games/%{name}/portals/default.cfg
%{_datadir}/games/%{name}/portals/maps/README.txt
%{_datadir}/games/%{name}/portals/maps/tibet2.ent
%{_datadir}/games/%{name}/portals/maps/tibet2.txt
%{_datadir}/games/%{name}/portals/maps/tibet9.ent
%{_datadir}/games/%{name}/portals/maps/tibet9.txt
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/h2launcher
%{_bindir}/cdrip_hexen2.sh
%{_bindir}/cdrip_hexen2_xplosiv.sh
%{_bindir}/cdrip_hexen2_matroxm3d.sh
%{_bindir}/cdrip_missionpack.sh
%{_datadir}/games/%{name}/docs/README
%{_datadir}/games/%{name}/docs/COPYING
%{_datadir}/games/%{name}/docs/BUGS
%{_datadir}/games/%{name}/docs/ABOUT
%{_datadir}/games/%{name}/docs/AUTHORS
%{_datadir}/games/%{name}/docs/Features
%{_datadir}/games/%{name}/docs/CHANGES
%{_datadir}/games/%{name}/docs/CHANGES.old
%{_datadir}/games/%{name}/docs/README.music
%{_datadir}/games/%{name}/docs/README.launcher
%{_datadir}/games/%{name}/docs/README.3dfx
%{_datadir}/games/%{name}/docs/TODO
%{_datadir}/games/%{name}/docs/SrcNotes.txt
%{_datadir}/games/%{name}/docs/ReleaseNotes
%{_datadir}/games/%{name}/docs/ReleaseNotes.old
%{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}.desktop}
%{?_without_freedesktop:%{_sysconfdir}/X11/applnk/Games/%{desktop_vendor}.desktop}

%files -n hexenworld
%defattr(-,root,root)
%dir %{_datadir}/games/%{name}
%dir %{_datadir}/games/%{name}/docs
%dir %{_datadir}/games/%{name}/hw
%{_bindir}/hwsv
%{_bindir}/hwmaster
%{_bindir}/hwcl
%{_bindir}/glhwcl
%{_datadir}/games/%{name}/hw/hwprogs.dat
%{_datadir}/games/%{name}/hw/mapcycle.cfg
%{_datadir}/games/%{name}/hw/server.cfg
%{_datadir}/games/%{name}/hw/pak4.pak
%{_datadir}/games/%{name}/hw/strings.txt
%{_datadir}/games/%{name}/hw/default.cfg
%{_datadir}/games/%{name}/docs/README.hwcl
%{_datadir}/games/%{name}/docs/README.hwsv
%{_datadir}/games/%{name}/docs/README.hwmaster

%changelog
* Thu Aug  7 2014 devel.suse@gmail.com
- fix __DATE__ and __TIME__
* Mon Aug  4 2014 devel.suse@gmail.com
- Update to upstream version 1.5.6:
  * Screen: implemented Hor+ style field of view (FOV) scaling, useful for
  widescreen resolutions. configured by new cvar fov_adapt: set it to 1
  and your fov will be scaled automatically according to the resolution.
  enabled by default. opengl and software renderers both supported.
  * Screen: viewsize greater than 120 now disables the hud (use the screen
  size slider in the options menu.)
  * Progs VM: Fixed a corner case thinko in version6 progs execution.
  * Server: changelevel failures, e.g. in case of non-existent maps, are
  now considered as error, so that the clients do not get stuck in the
  connected state anymore.
  * Server: accept maplist.txt only if it is from the same game directory
  as progs.dat itself or from a searchpath with a higher priority.
  * Timidity (Unix MIDI): Multiple fixes, including memory errors found by
  valgrind.
  * Mac OS X: A new icon.
  * Music: Support for Opus codec. (edit the makefiles to enable it when
  compiling.)
  * Software renderer: fixed color shifts from area contents or power-up
  items usage staying persistent after a disconnect.
  * OpenGL: worked around weird mods, e.g.: project peanut, where certain
  models are sometimes drawn "white" because the mod's hcode initializes
  those entities with non-existant skins.
  * OpenGL: gamma fixes for several platforms.
  * HexenWorld: opengl fixes for the shownames feature, other gl updates.
  * Hexenworld, gamecode: hw and siege map cycling setup is done using the
  localinfo variables just like in quakeworld, strings.txt abusing is no
  more. See docs/README.hwsv for brief instructions.
  * Verified correct compilation by upcoming gcc-4.8 and by clang-3.2.
  * Fixed several other minor bugs, some found by valgrind. Incremented
  engine versions for hexen2 to 1.28, hexenworld to 0.28, and gamecode
  version to 1.28.
  NOTE: For the older release notes, please, refer to "/usr/share/games/hexen2/docs/ReleaseNotes"
  and "/usr/share/games/hexen2/docs/ReleaseNotes.old"
* Wed Jun 27 2012 devel.suse@gmail.com
- Initial package creation
